import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/LakshmanRangisetti/0b7e517cf33e74886b6384143f3b6039/raw/6324ebf010828dde6216e1d3e8d4ecfea0e06d7c/gistfile1.txt';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Elevation = +d['Elevation_ft'];
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 20));
    });
  }, []);
  
  return data;
};